Security Enhanced Linux Reference Policy

# Layer: admin

## Module: bootloader

Interfaces

### Description:

Policy for the kernel modules, kernel image, and bootloader.

### Interfaces:

bootloader_create_runtime_file( domain )

##### Summary

Read and write the bootloader temporary data in /tmp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bootloader_domtrans( domain )

##### Summary

Execute bootloader in the bootloader domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

bootloader_exec( domain )

##### Summary

Execute bootloader in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bootloader_read_config( domain )

##### Summary

Read the bootloader configuration file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bootloader_run( domain , role )

##### Summary

Execute bootloader interactively and do a domain transition to the bootloader domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

bootloader_rw_config( domain )

##### Summary

Read and write the bootloader configuration file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bootloader_rw_tmp_files( domain )

##### Summary

Read and write the bootloader temporary data in /tmp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return